<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Cursor Method (CursorConfig, Transaction)
BaseDatabase Class See Also Send Feedback

Create a transactionally protected database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public Cursor Cursor(
    	CursorConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig, _
    	txn As Transaction _
    ) As Cursor

Visual C++

    public:
    Cursor^ Cursor(
    	CursorConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

BaseDatabase Class
Cursor Overload
BerkeleyDB Namespace